Toshiba America Info Systems SD TypA Controller unsupported

Bug #88863 reported by Steven McCoy on 2007-03-01
68
This bug affects 8 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Wishlist
Unassigned

Bug Description

Binary package hint: linux-source-2.6.17

As per lspci the PCI based SD card reader in Toshiba laptops is unsupported:

02:06.0 System peripheral: Toshiba America Info Systems SD TypA Controller (rev 03)

This appears to be a well known issue but couldn't find it logged anywhere. There is another revisions affected:

0000:02:0d.0 System peripheral: Toshiba America Info Systems SD TypA Controller (rev 05)

Thank you for taking the time to report this bug and helping to make Ubuntu better. We are currently reviewing bug reports regarding older kernels. After review we feel this bug does not meet the criteria for a stable release update and are marking this as "Won't Fix". For more information regarding stable release updates, please refer to: https://wiki.ubuntu.com/StableReleaseUpdates .

However, now that the 7.10 Gutsy Gibbon release of Ubuntu is out,, I'd encourage you to please download and try the new version of Ubuntu from http://www.ubuntu.com/getubuntu/download . and verify if this issue still exists. Thanks!

Changed in linux-source-2.6.17:
status: New → Won't Fix
Steven McCoy (fnjordy) wrote :

Still an issue, also listed upstream with Linux kernel developers:

http://linuxdriverproject.org/twiki/bin/view/Main/DriversNeeded

Changed in linux-source-2.6.22:
assignee: nobody → ubuntu-kernel-team
importance: Undecided → Wishlist
status: New → Triaged

I've got a Toshiba America Info System SD TypeA Controller (rev 05)

It doesn't work either.

dadio@dadio-laptop:~$ uname -a
Linux dadio-laptop 2.6.22-14-generic #1 SMP Tue Dec 18 08:02:57 UTC 2007 i686 GNU/Linux

dadio@dadio-laptop:~$ lspci | grep SD
00:12.0 System peripheral: Toshiba America Info Systems SD TypA Controller (rev 05)

I assume this is still an issue but in case you wanted to test. . . .Hardy Heron Alpha2 was recently released. It contains an updated version of the kernel. You can download and try the new Hardy Heron Alpha2 release from http://cdimage.ubuntu.com/releases/hardy/alpha-2/ . You should be able to then test the new kernel via the LiveCD. General information regarding the release can also be found here: http://www.ubuntu.com/testing/hardy/alpha2 . Thanks!

Changed in linux:
status: New → Incomplete

Dear Leann,

Thanks for giving me a chance to participate...

I've tried the Hardy alfa2. I'm regret to report to you that the SD-card
reader still doesn't work. The hardware is still unclaimed:
enta_socket
        *-system UNCLAIMED
             description: System peripheral
             product: SD TypA Controller
             vendor: Toshiba America Info Systems
             physical id: 12
             bus info: pci@0000:00:12.0
             version: 05
             width: 32 bits
             clock: 33MHz
             capabilities: cap_list
             configuration: latency=0

Regards,

Dadio.

Op zondag 30-12-2007 om 19:21 uur [tijdzone +0000], schreef Leann
Ogasawara:

> I assume this is still an issue but in case you wanted to test. . .
> .Hardy Heron Alpha2 was recently released. It contains an updated
> version of the kernel. You can download and try the new Hardy Heron
> Alpha2 release from http://cdimage.ubuntu.com/releases/hardy/alpha-2/ .
> You should be able to then test the new kernel via the LiveCD. General
> information regarding the release can also be found here:
> http://www.ubuntu.com/testing/hardy/alpha2 . Thanks!
>
> ** Changed in: linux (Ubuntu)
> Status: New => Incomplete
>

Changed in linux:
assignee: nobody → ubuntu-kernel-team
importance: Undecided → Medium
status: Incomplete → Triaged
maraja (ugo-grandolini) wrote :

Hallo,

does not work even on my Toshiba Satellite, lspci reports:

00:00.0 Host bridge: Intel Corporation 82855PM Processor to I/O Controller (rev 21)
00:01.0 PCI bridge: Intel Corporation 82855PM Processor to AGP Controller (rev 21)
00:1d.0 USB Controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB UHCI Controller #1 (rev 03)
00:1d.1 USB Controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB UHCI Controller #2 (rev 03)
00:1d.7 USB Controller: Intel Corporation 82801DB/DBM (ICH4/ICH4-M) USB2 EHCI Controller (rev 03)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev 83)
00:1f.0 ISA bridge: Intel Corporation 82801DBM (ICH4-M) LPC Interface Bridge (rev 03)
00:1f.1 IDE interface: Intel Corporation 82801DBM (ICH4-M) IDE Controller (rev 03)
00:1f.5 Multimedia audio controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) AC'97 Audio Controller (rev 03)
00:1f.6 Modem: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) AC'97 Modem Controller (rev 03)
01:00.0 VGA compatible controller: nVidia Corporation NV34M [GeForce FX Go5200 64M] (rev a1)
02:07.0 FireWire (IEEE 1394): Texas Instruments TSB43AB22/A IEEE-1394a-2000 Controller (PHY/Link)
02:08.0 Ethernet controller: Intel Corporation 82801DB PRO/100 VE (MOB) Ethernet Controller (rev 83)
02:0a.0 Network controller: Intel Corporation PRO/Wireless LAN 2100 3B Mini PCI Adapter (rev 04)
02:0b.0 CardBus bridge: Toshiba America Info Systems ToPIC100 PCI to Cardbus Bridge with ZV Support (rev 33)
02:0d.0 System peripheral: Toshiba America Info Systems SD TypA Controller (rev 05)

Using Ubuntu 7.10, kernel 2.6.22-14-generic

hope to be able to access my SDs in the future =)

thanks a lot for this wonderful operating system

Just adding anote that this report will remain open against the actively developed kernel but will be closed against linux-source-2.6.22. Thanks.

Changed in linux-source-2.6.22:
status: Triaged → Won't Fix
Changed in linux:
assignee: ubuntu-kernel-team → colin-king
status: Triaged → In Progress
Colin Ian King (colin-king) wrote :

After an extensive search, I have come to the conclusion that there is no available driver for the proprietary Toshiba America Info Systems SD TypA Controller at the moment. We shall keep this open for further kernel versions.

As Colin mentioned, there is no driver available for this hardware at the moment so this will not get resolved for Hardy. However, please do note that we have milestoned this for a later release to try and get this resolved in the future. Thanks.

Changed in linux:
milestone: none → later
status: In Progress → Won't Fix

just removing invalid linux-source-2.6.24 task since beginning with the Hardy release the kernel source package naming convention changed to just linux. thanks.

Changed in linux-source-2.6.24:
status: New → Invalid
Changed in linux:
assignee: colin-king → nobody
importance: Medium → Undecided
status: Won't Fix → Confirmed

The Ubuntu Kernel Team is planning to move to the 2.6.27 kernel for the upcoming Intrepid Ibex 8.10 release. As a result, the kernel team would appreciate it if you could please test this newer 2.6.27 Ubuntu kernel. There are one of two ways you should be able to test:

1) If you are comfortable installing packages on your own, the linux-image-2.6.27-* package is currently available for you to install and test.

--or--

2) The upcoming Alpha5 for Intrepid Ibex 8.10 will contain this newer 2.6.27 Ubuntu kernel. Alpha5 is set to be released Thursday Sept 4. Please watch http://www.ubuntu.com/testing for Alpha5 to be announced. You should then be able to test via a LiveCD.

Please let us know immediately if this newer 2.6.27 kernel resolves the bug reported here or if the issue remains. More importantly, please open a new bug report for each new bug/regression introduced by the 2.6.27 kernel and tag the bug report with 'linux-2.6.27'. Also, please specifically note if the issue does or does not appear in the 2.6.26 kernel. Thanks again, we really appreicate your help and feedback.

The card-reader still doesn't work with the life-CD Alpha5. When I list "slhw", the hardware is still "unclamed"...

BTW: When I try to install alfa5 on my Toshiba laptop, the partition manager hangs before I can chose between the different ways to partition the hard drive.

So I'm sorry, in my case, no progress is made.

greats,

Dadio

LiraNuna (liranuna) wrote :

This device has no drivers nor information about how it works. Toshiba does not want to share information.

Information can be found here: http://www.chiark.greenend.org.uk/~theom/electronics/toshiba-sd-controller.html

tm_3 (tm-3) wrote :

The Card Reader still doesn't work on Toshiba Satellite M30-404 (it is a dual boot system, in windows it works fine. no hw problem)

lshw output:
...
 *-system UNCLAIMED
                description: System peripheral
                product: SD TypA Controller
                vendor: Toshiba America Info Systems
                physical id: d
                bus info: pci@0000:02:0d.0
                version: 05
                width: 32 bits
                clock: 33MHz
                capabilities: pm cap_list
                configuration: latency=0
...

lspci output:
...
02:0d.0 System peripheral: Toshiba America Info Systems SD TypA Controller (rev 05)
...

uname -a output:

Linux UbuntuBook 2.6.27-7-generic #1 SMP Fri Oct 24 06:42:44 UTC 2008 i686 GNU/Linux

cat /proc/version_signature

Ubuntu 2.6.27-7.14-generic

All updates installed.

System peripheral: Toshiba America Info Systems SD TypA Controller (rev 03)

Still not working in stable Ibex fresh install.

Circle_f (circle-f) wrote :

I just upgraded to the new 8.10 because I was waiting, hoping for the sd drive to work. Still no progress in finding a driver. All updates installed... nothing. Thanks for the rockin' new operating system!

Changed in linux:
assignee: nobody → ubuntu-kernel-team
importance: Undecided → Wishlist
milestone: later → none
status: Confirmed → Triaged

Per a decision made by the Ubuntu Kernel Team, bugs will longer be assigned to the ubuntu-kernel-team in Launchpad as part of the bug triage process. The ubuntu-kernel-team is being unassigned from this bug report. Refer to https://wiki.ubuntu.com/KernelTeamBugPolicies for more information. Thanks.

LiraNuna (liranuna) wrote :

Sorry to revive an old triage bug, but some progress on a driver is being made: http://list.drzeus.cx/pipermail/sdhci-devel/2008-July/002242.html

Jim Lieb (lieb) wrote :

I've followed the link to the above mentioned source. It would require some work to
build with current kernels (2.6.28) but we don't have any laptops with this device available. If someone in the community who has access to a Toshiba laptop with this
device, it would be possible to get the module into shape to build out-of-tree with
current kernels so that they could test/debug the driver. There seems to be little interest in other forums for this, now older, device. If no one can step forward with the resources, we will have to close this bug.

LiraNuna (liranuna) wrote :

I got a Toshiba laptop which would benefit from this driver, and I would love to help. I am a programmer, but have no experience with linux modules/drivers. I would love to help and gain knowledge about it while doing so.

Originally I wanted to try it on my laptop and continue the driver myself, but the lack of knowledge was a big wall.

Jim,

I've got this device (see higher). I can do the testing and give you feedback.

Note that if for now, the Intrepid-Ibex (9.04) beta doesn't work on my laptop. If the x-server is running like a minute, the computer halts and my caps-lock light flashes. So I think it would be difficult to test with kernels higher than 2.6.27 unless somebody can assist me to install 2.6.28 on a hardy-heron-release (8.10).

Jim Lieb (lieb) wrote :

For now, the testing would be for Jaunty which released this week. If you both can get released Jaunty to work, we can go from there. I have the above mentioned source but have not attempted to build it yet. I'll let you know when I have something ready. Since this is not in even in the kernel pipeline, I will probably not even have a deb package.
More later. Backports would probably not be an option.

LiraNuna (liranuna) wrote :

Jaunty with latest kernel here ready for development and testing.
Thank you for taking over it, Jim. This device wasn't working since 7.04

Jim Lieb (lieb) on 2009-04-29
Changed in linux (Ubuntu):
assignee: nobody → lieb

Im not quite sure how to test this. When I insert a sd-card nothing happens, so I guess it isnt working still. Im running jaunty on a toshiba portege m100.

Linux mattias-laptop 2.6.28-12-generic #43-Ubuntu SMP Fri May 1 19:27:06 UTC 2009 i686 GNU/Linux

01:0d.0 System peripheral: Toshiba America Info Systems SD TypA Controller (rev 03)

Caiburn (alexander-folkers) wrote :

I also have a Toshiba Laptop (a Satellite) with 9.04 running and the proprietary SD-card reader. I am also willing to help since I would like all hardware in the machine to be functioning. Please tell me what I can do (hobbyist programmer level).

alex@alexux:~$ uname -r
2.6.28-11-generic

02:06.0 System peripheral: Toshiba America Info Systems SD TypA Controller (rev 03)

I have a Toshiba Laptop (a75 Satellite) with 9.10 from 9.04 running and the proprietary SD-card reader still does not work. Too bad, because everything else works great! Is there going to be a fix? I don't have the skills.

dan (dan-genin) wrote :

I got a Tecra M2 with a Toshiba America Info Systems SD TypA Controller (rev 03). Will be glad to help with testing. Been waiting for this driver for a while now.

dan (dan-genin) wrote :
LiraNuna (liranuna) wrote :

I'm a programmer for over a decade, but I never dived into driver development. I did extensive low level programming (embedded devices) so I'm comfortable with undocumented devices. My laptop is effected by this, and I would love to pick this up.

Anyone has a good guide on how to start with kernel driver development? I will most likely pick this up.

dan (dan-genin) wrote :

As always google is your best friend:) From a cursory googling I found this

http://www.freesoftwaremagazine.com/articles/drivers_linux

I haven't done any device driver programming but I'm familiar with C so I can try to help if you are looking for help.

I'm able to test and help develop as well. Familiar with C but unfamiliar with driver developing in general. LiraNuna, Jim, let me know if you need me.

Toshiba America Info Systems SD TypA Controller (rev 03)

Biggee (lucloner) on 2009-12-13
Changed in linux-source-2.6.17 (Ubuntu):
status: Won't Fix → New
Przemek K. (azrael) on 2010-04-08
Changed in linux-source-2.6.17 (Ubuntu):
status: New → Invalid
Marco Costa (marcostaenf) wrote :

Hello everyone.
I have a Toshiba S2450-201 with Ubuntu 9.10 (kernel 2.6.32-22 generic) but the SD card reader does not work.
lspci returns:

02:09.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL-8139/8139C/8139C+ (rev 10)
02:0b.0 CardBus bridge: Toshiba America Info Systems ToPIC100 PCI to Cardbus Bridge with ZV Support (rev 32)
02:0b.1 CardBus bridge: Toshiba America Info Systems ToPIC100 PCI to Cardbus Bridge with ZV Support (rev 32)
02:0d.0 System peripheral: Toshiba America Info Systems SD TypA Controller (rev 03)

From what I read, there is no drive, is expected to be implemented?

Thank you all, sorry my bad english

Jon Dowland (jond) wrote :

the sdhci-devel mailing list appears to have disappeared, so the (non functional) development driver is hard to find. Here's a link to the mailing list post at GMANE. The attachments are available:

http://comments.gmane.org/gmane.linux.drivers.sdhci.devel/2234

tags: added: maverick
Brad Figg (brad-figg) on 2012-02-10
Changed in linux (Ubuntu):
assignee: Jim Lieb (lieb) → nobody
no longer affects: ubuntu
no longer affects: linux-source-2.6.17 (Ubuntu)
no longer affects: linux-source-2.6.22 (Ubuntu)
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in bluez (Ubuntu):
status: New → Confirmed

Steven McCoy, could you please execute the following at a terminal:
apport-collect 88863

affects: linux (Debian) → bluez (Ubuntu)
no longer affects: bluez (Ubuntu)
tags: added: needs-kernel-logs
Changed in linux (Ubuntu):
status: Triaged → Incomplete
Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired
Tony (tony-runescape) wrote :

This is affecting me.
Toshiba Qosmio X505
Ubuntu 13.04 Linux 3.8.0-29-generic

Tony, if you have a bug in Ubuntu, the Ubuntu Kernel team, Ubuntu Bug Control team, and Ubuntu Bug Squad would like you to please file a new report by executing the following in a terminal while booted into a Ubuntu repository kernel (not a mainline one) via:
ubuntu-bug linux

For more on this, please read the official Ubuntu documentation:
Ubuntu Bug Control and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
Ubuntu Kernel Team: https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports
Ubuntu Community: https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Please note, not filing a new report would delay your problem being addressed as quickly as possible.

No need exists to comment here at this time. After reading the above documention in it's entirety, if you have further questions, you are welcome to redirect them to the appropriate mailing list or forum via http://www.ubuntu.com/support/community/mailinglists , or you may contact me directly.

Thank you for your understanding.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers